Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class Expando

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.Expando

    public class Expando
    extends GroovyObjectSupport

Represents a dynamically expandable bean.

Authors:
  James Strachan
  Hein Meling
  Pilho Kim

Version:
  \$Revision\$

Constructor Summary
`Expando()`
`Expando(java.util.Map expandoProperties)`

Method Summary
`protected java.util.Map` | `createMap()` Factory method to create a new Map used to store the expando properties map
`boolean` | `equals(java.lang.Object obj)` This allows equals to be overridden by a closure field method attached to the expando object.
`java.util.List` | `getMetaPropertyValues()`
`java.util.Map` | `getProperties()` @return the dynamically expanded properties
`java.lang.Object` | `getProperty(java.lang.String property)`
`int` | `hashCode()` This allows hashCode to be overridden by a closure field method attached to the expando object.
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
`java.lang.String` | `toString()` This allows toString to be overridden by a closure field method attached to the expando object.

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Expando

    public Expando()

### Expando

    public Expando(java.util.Map expandoProperties)

Method Detail

### createMap

    protected java.util.Map createMap()

  Factory method to create a new Map used to store the expando properties map
  Returns:
    a newly created Map implementation

### equals

    public boolean equals(java.lang.Object obj)

  This allows equals to be overridden by a closure field method attached to the expando object.
  See Also:
    java.lang.Object#equals(java.lang.Object)

### getMetaPropertyValues

    public java.util.List getMetaPropertyValues()

### getProperties

    public java.util.Map getProperties()

  Returns:
    the dynamically expanded properties

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### hashCode

    public int hashCode()

  This allows hashCode to be overridden by a closure field method attached to the expando object.
  See Also:
    java.lang.Object#hashCode()

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object newValue)

### toString

    public java.lang.String toString()

  This allows toString to be overridden by a closure field method attached to the expando object.
  See Also:
    java.lang.Object#toString()

Groovy Documentation